classification
Title: test_poll.PollTests.poll_unit_tests() is dead code
Type: Stage: needs patch
Components: Tests Versions: Python 3.4
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, python-dev, sbt
Priority: normal Keywords:

Created on 2012-12-05 16:25 by sbt, last changed 2012-12-10 14:51 by sbt. This issue is now closed.

Messages (2)
msg176989 - (view) Author: Richard Oudkerk (sbt) * (Python committer) Date: 2012-12-05 16:25
PollTests.poll_unit_tests() is not run because its method name does not begin with "test".  It looks it was accidentally disabled when test_poll() was converted to unittest in f56b25168142.

Renaming it test_poll_unit_tests() makes it run successfully (at least under Linux).

Is it sufficient to reenable it only for the 3.4 branch?
msg177224 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-12-09 16:10
New changeset 5a022c21ad84 by Richard Oudkerk in branch 'default':
Issue #16616: Enable test in test_poll which was (accidentally?) disabled
http://hg.python.org/cpython/rev/5a022c21ad84
History
Date User Action Args
2012-12-10 14:51:10sbtsetstatus: open -> closed
2012-12-09 16:10:19python-devsetnosy: + python-dev
messages: + msg177224
2012-12-05 16:25:28sbtcreate